//
// AppendixProtocol.swift
//
// Siskin IM
// Copyright (C) 2020 "Tigase, Inc." <office@tigase.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. Look for COPYING file in the top folder.
// If not, see https://www.gnu.org/licenses/.
//

import Foundation

public protocol AppendixProtocol: Codable {

}

extension AppendixProtocol {
    
    static func decode<T>(_ type: T.Type, fromString: String?, using encoding: String.Encoding = .utf8) -> T? where T: AppendixProtocol {
        guard let data = fromString?.data(using: encoding) else {
            return nil;
        }
        return try? JSONDecoder().decode(type, from: data);
    }
    
    public func string(encoding: String.Encoding = .utf8) -> String? {
        guard let data = try? data() else {
            return nil;
        }
        return String(data: data, encoding: encoding);
    }
    
    public func data() throws -> Data {
        return try JSONEncoder().encode(self);
    }
    
}
